#
# spec file for package libquicktime (Version 0.9.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  SDL-devel-packages glib glib-devel gtk gtk-devel libavc1394 libavc1394-devel libdv libjpeg libogg libogg-devel libpng-devel-packages libraw1394 libraw1394-devel libstdc++ libstdc++-devel libvorbis libvorbis-devel mesa-devel-packages pkgconfig popt x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel SDL SDL-devel aalib aalib-devel alsa alsa-devel arts arts-devel audiofile autoconf automake binutils esound esound-devel expat fontconfig fontconfig-devel freeglut freeglut-devel gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gtk gtk-devel libavc1394 libavc1394-devel libdv libjpeg libjpeg-devel libogg libogg-devel libpng libpng-devel libraw1394 libraw1394-devel libstdc++-devel libtool libvorbis libvorbis-devel perl pkgconfig popt-devel resmgr rpm slang slang-devel xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         libquicktime
%define DISTRIBUTABLE 0
License:      GPL
Group:        Development/Libraries/Other
Autoreqprov:  on
Version:      0.9.8
Release:      1
URL:          http://libquicktime.sf.net
Source0:      %{name}-%{version}.tar.bz2
Source1:      fix-libtool
#Patch0:       %{name}-cflags.diff
Patch1:       %{name}-legal.diff
Patch3:       %{name}-lib64.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      A Library for Reading and Writing Quicktime movie files
Provides:     quicktime4linux
Obsoletes:    quicktime4linux

%description
A library for reading and writing Quicktime movie files, based on and
forked from quicktime4linux.



%package      devel
Summary:      library for reading/writing quicktime movie files
Group:        Development/Libraries/Other
Provides:     quicktime4linux-devel
Obsoletes:    quicktime4linux-devel
Requires:     %{name} = %{version} 
Requires:     glibc-devel

%description  devel
library for reading/writing quicktime movie files, based on and forked
from quicktime4linux



%debug_package
%prep
%setup -q
#%patch0 -p1 -b .cflags
%if %DISTRIBUTABLE
%patch1 -p1 -b .legal
%endif
%patch3 -p1 -b .lib64

%build
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
autoreconf --force --install
export RPM_OPT_FLAGS
./configure	--prefix=/usr				\
		--x-includes=/usr/X11R6/include		\
		--x-libraries=/usr/X11R6/%{_lib}	\
		--libdir=%{_libdir}			\
		--mandir=%{_mandir}			\
		--enable-static				\
		--disable-mmx	# no runtime detection
sh $RPM_SOURCE_DIR/fix-libtool .
make

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" \
	&& rm -rf "%{buildroot}"
sh $RPM_SOURCE_DIR/fix-libtool .
make DESTDIR="%{buildroot}" install

%clean
rm -rf "%{buildroot}"

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
/usr/bin/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/libquicktime
%{_libdir}/libquicktime/*
%{_mandir}/man1/*
%doc [A-LN-Z]*

%files devel
%defattr(-, root, root)
%attr(644,root,root) %{_libdir}/lib*.la
%attr(644,root,root) %{_libdir}/lib*.a
%{_libdir}/lib*.so
%dir /usr/include/lqt
/usr/include/lqt/*.h
/usr/share/aclocal/lqt.m4
%{_libdir}/pkgconfig/libquicktime.pc

%changelog -n libquicktime
* Sat Jan 28 2006 - joe_morris@ntm.org
- update to 0.9.8.
* Thu Jan 13 2005 - kraxel@suse.de
- update to 0.9.4.
* Tue Aug 17 2004 - kraxel@suse.de
- update to 0.9.3.
* Thu Apr 22 2004 - kraxel@suse.de
- fix compiler warnings.
* Wed Feb 11 2004 - kraxel@suse.de
- update to version 0.9.2.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_dconfig
- -devel package requires glibc-devel now
* Fri Jul 25 2003 - kraxel@suse.de
- more cflags fixes, also builds on ppc now ...
* Wed Jul 23 2003 - kraxel@suse.de
- play with cflags to make thing build on all archs.
* Mon Jun 16 2003 - kukuk@suse.de
- More filelist fixes
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directory to filelist
- *.la file should be mode 644
* Fri May 16 2003 - ro@suse.de
- fix build with current libtool
* Mon Aug 12 2002 - kraxel@suse.de
- fixed Requires: for the -devel package.
* Wed Jul 31 2002 - kraxel@suse.de
- fixed plugin path lookup for lib64.
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Mon Jul 15 2002 - kraxel@suse.de
- fixed permission issues with fix-libtool script.
* Wed Jul 10 2002 - uli@suse.de
- forgot to re-enable %%clean section
* Wed Jul 10 2002 - uli@suse.de
- replace "SDL SDL-devel" with "SDL-devel-packages" in neededforbuild
  (fixes libdv detection)
- fixed MMX detection, then disabled it :) (no runtime detection)
- added DISTRIBUTABLE flag to facilitate full-featured rebuild
* Thu Jun 27 2002 - kraxel@suse.de
- fixed neededforbuild.
* Mon Jun 24 2002 - kraxel@suse.de
- updated to version 0.9.1
* Mon Jun 24 2002 - ro@suse.de
- run full autoreconf to also get shared lib on x86_64
* Fri Jun 21 2002 - ro@suse.de
- run libtoolize to build also on archs that are
  younger than a decade
* Thu Jun 20 2002 - kraxel@suse.de
- fixed build problems by using $RPM_OPT_FLAGS
- disabled divx codec (divx/mpeg4 is patent minefield, sorry folks ...).
* Mon Jun 17 2002 - kraxel@suse.de
- initial release.
